[问题]选择显卡驱动问题。。。。。

为当前最终发行版之前的所有版本提供支持
回复
头像
Mint_Grass
帖子: 45
注册时间: 2007-12-27 11:31
送出感谢: 0
接收感谢: 0

[问题]选择显卡驱动问题。。。。。

#1

帖子 Mint_Grass » 2008-01-17 11:08

本人机器显卡好像是集成的,Intel945 安装好Ubuntu后,系统默认是1280*1024的分辩率,但不知为什么,3D效果就是出不来。

然后参考: viewtopic.php?t=89562&sid=45aba16408ad3 ... 558a14bb0e


把1楼写的内容,都弄完了。启重完系统后,现在只能用800*600(也好像是更小的分辩率,而且拖动窗口也特慢,原来

的特效现在也用不成了)好像是因为安错驱动的问题。



我现在想如果把驱动换回原来的状态应该就好了,记得默认是用的 i810 ,请问怎么解决啊?


目前我想到的就是把现在强行安的驱动删掉,用原来系统自带的。(如果有其它解决办法也好),希望有朋友能帮忙解

决一下。
头像
PayFans
帖子: 33
注册时间: 2007-09-04 18:45
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 PayFans » 2008-01-17 15:47

我的驱动是自动安的!
去我的世界看看: http://payfans.com
头像
ljj_jjl2008
论坛版主
帖子: 14253
注册时间: 2007-09-16 8:29
送出感谢: 94 次
接收感谢: 230 次

#3

帖子 ljj_jjl2008 » 2008-01-17 15:51

重新设置X

代码: 全选

sudo dpkg-reconfigure xserver-xorg
按照提示设置,完成后ctrl-alt-backspace
头像
Mint_Grass
帖子: 45
注册时间: 2007-12-27 11:31
送出感谢: 0
接收感谢: 0

#4

帖子 Mint_Grass » 2008-01-21 18:43

3楼说的。 重新设置, 我试了。 要设置好多。。。

有没有什么方便的办法? 好多都是按默认设置的。 重启完还是一样。
头像
CLOCKWORKHEART
帖子: 635
注册时间: 2007-11-05 19:26
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 CLOCKWORKHEART » 2008-01-22 15:17

哦,lz那个xgl开特效的方法我一直在用,不过看了看lz引用的那个帖子,对比我的安装方法还缺几个步骤。 安装完显卡都要检测,而且结果形式大致相同,不过我显示的是x1400显卡,这个无关紧要,最重要的是我后面还写了些xgl的启动脚本。
以下是主要步骤,希望能解决你的问题:

代码: 全选

1.检查ATI驱动程序 
安装你的ATI显卡驱动(系统-->首选项-->受限驱动管理器) 
重新启动计算机 

在终端中输入: 
fglrxinfo 
你可以发现在终端有类似于如下的输出: 
display: :0.0 screen: 0 
OpenGL vendor string: ATI Technologies Inc. 
OpenGL renderer string: RADEON XPRESS Series 
OpenGL version string: 2.0.6334 (8.34. 

2.安装 Xgl 
现在安装 Xgl,在新立得软件仓库中搜索以下包xserver-xgl并安装或 
Sudo apt-get install xserver-xgl 

3.制作xgl的启动脚本: 
在终端中输入: 
sudo gedit /usr/bin/startxgl 

-并且在文件中添加如下行: 
Xgl -fullscreen :1 -ac -accel glx:pbuffer -accel xv:pbuffer & sleep 2 && DISPLAY=:1 
# Start GNOME 
exec gnome-session 
保存并关闭文件。 
-使脚本可执行 
sudo chmod 755 /usr/bin/startxgl.sh 

4.创建一个 XGL 登录 
-给登录管理器做一个xgl会话: 
sudo gedit /usr/share/xsessions/xgl.desktop 

-将如下内容输入终端: 
[Desktop Entry] 
Encoding=UTF-8 
Name=XGl 
Exec=/usr/bin/startxgl 
Icon= 
Type=Application 
关闭并保存文件。 

重启后就能在“系统-首选项-外观-视觉效果”中选择Normal Extra,也可自定义。
回复

回到 “老旧版本支持”